## ros-kinetic-talos-description 1.0.45

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(talos_description)

find_package(catkin REQUIRED)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES talos_description
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

foreach(dir config gazebo meshes robots urdf)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach(dir)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== test/CMakeLists.txt ===
find_package(rostest REQUIRED)
add_rostest(test_model_load.test ARGS robot:=full_v1)
add_rostest(test_model_load.test ARGS robot:=full_v2)
add_rostest(test_model_load.test ARGS robot:=full_no_grippers)
add_rostest(test_model_load.test ARGS robot:=lower_body)
add_rostest(test_model_load.test ARGS robot:=arm_right)

=== debian/changelog ===
ros-kinetic-talos-description (1.0.45-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 19 Dec 2018 23:00:00 -0000

ros-kinetic-talos-description (1.0.44-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 28 Nov 2018 23:00:00 -0000

ros-kinetic-talos-description (1.0.43-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 21 Nov 2018 23:00:00 -0000

ros-kinetic-talos-description (1.0.42-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Tue, 20 Nov 2018 23:00:00 -0000

ros-kinetic-talos-description (1.0.41-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Mon, 19 Nov 2018 23:00:00 -0000

ros-kinetic-talos-description (1.0.40-1xenial) xenial; urgency=high

  * Merge branch 'as_arm_base_rename' into 'erbium-devel'
    Rename base link of detached arm
    See merge request robots/talos_robot!64
  * Rename base link of detached arm
  * Contributors: alexandersherikov

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Thu, 01 Nov 2018 23:00:00 -0000

ros-kinetic-talos-description (1.0.39-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.38-1xenial) xenial; urgency=high

  * Merge branch 'as_extend_blacklist' into 'erbium-devel'
    Collision blacklisting: wrists, sensors, grippers
    See merge request robots/talos_robot!62
  * Collision blacklisting: wrists, sensors, grippers
  * Contributors: alexandersherikov

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.37-1xenial) xenial; urgency=high

  * Merge branch 'as_self_coll_merge_test' into 'erbium-devel'
    As self coll merge test
    See merge request robots/talos_robot!61
  * Temporary revert changes in configuration_initializer.yaml
    This should allow to merge changes without breaking tests.
  * Merge branch 'as_self_coll_merge_test' into as_sim_self_collisions
  * Change format of collision blacklist
  * Update collision model parameters.
  * Added loading of collision parameters.
  * Update collision model parameters.
  * Added loading of collision parameters.
  * Contributors: alexandersherikov

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.36-1xenial) xenial; urgency=high



 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 17 Oct 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.35-1xenial) xenial; urgency=high

  * deleted changelogs
  * Merge branch 'head' into 'erbium-devel'
    open loop parameters
    See merge request robots/talos_robot!56
  * open loop parameters
  * Reduced limits for laas talos
  * Contributors: Hilario Tome, Jordan Palacios

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Tue, 16 Oct 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.34-1xenial) xenial; urgency=high

  * Updated changelog
  * Merge branch 'current_limit_controller' into 'erbium-devel'
    Add cfg files for rviz and plotjuggler
    See merge request robots/talos_robot!54
  * Add cfg files for rviz and plotjuggler
  * Contributors: Jordan Palacios, Luca Marchionni

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Thu, 27 Sep 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.33-1xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 26 Sep 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.32-1xenial) xenial; urgency=high

  * Updated changelogs
  * Add default rviz config file for talos
  * Contributors: Jordan Palacios, Luca Marchionni

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Mon, 24 Sep 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.31-1xenial) xenial; urgency=high

  * updated changelogs
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Tue, 11 Sep 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.30-1xenial) xenial; urgency=high

  * Updated changelog
  * Contributors: alexandersherikov

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 05 Sep 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.29-1xenial) xenial; urgency=high

  * update changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Mon, 03 Sep 2018 18:05:00 -0000

ros-kinetic-talos-description (1.0.28-1xenial) xenial; urgency=high

  * Updated changelog
  * Contributors: alexandersherikov

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Mon, 03 Sep 2018 08:22:00 -0000

ros-kinetic-talos-description (1.0.27-1xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Mon, 27 Aug 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.26-1xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Thu, 23 Aug 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.25-1xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 01 Aug 2018 13:05:00 -0000

ros-kinetic-talos-description (1.0.24-1xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 01 Aug 2018 13:03:00 -0000

ros-kinetic-talos-description (1.0.23-1xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Hilario Tome

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Sun, 29 Jul 2018 22:00:00 -0000

ros-kinetic-talos-description (1.0.22-1xenial) xenial; urgency=high

  * Updated changelog
  * Contributors: alexandersherikov

 -- Hilario Tomé <hilario.tome@pal-robotics.com>  Wed, 25 Jul 2018 16:04:00 -0000



=== debian/control ===
Source: ros-kinetic-talos-description
Section: misc
Priority: extra
Maintainer: Hilario Tomé <hilario.tome@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rostest, ros-kinetic-urdf-test
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-talos-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-talos-description-calibration, ros-kinetic-talos-description-inertial
Description: The talos_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-talos-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
